import createAxios from '@/utils/request'

//登录获取token
export function getRouteMenu() {
    return createAxios({
        url: '/user-boot/function/getRouteMenu'
    })
}
//获取字典
export function dictDataCache() {
    return createAxios({
        url: '/system-boot/dictType/dictDataCache'
    })
}
export const queryAppInfo = (type) => {
    let form = new FormData()
    form.append('type', type)
    return createAxios({
      url: '/cs-system-boot/appinfo/queryAppInfoByType',
      method: 'post',
      headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
      },
      data: form,
    })
  }
  export const queryAppInfoByType = (type) => {
    let form = new FormData()
    form.append('type', type)
    return createAxios({
        url: '/cs-system-boot/appinfo/queryAppInfoByType',
        method: 'post',
        data: form,
    })
}